@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.bundle.scp.css';

/* _content/SGBR.Memberzone.Web/AppFrame/Home.razor.rz.scp.css */
.home[b-1wxvzf3kje] {
    padding: 20px;
    text-align: center;
    font-size: 20px;
    height: 100%;
    max-height: 100%;
    display: grid;
    grid-template-rows: auto 1fr auto;
    gap: 40px;

    & > .app-links {
        flex-grow: 1;
    }
}

.home .app-links[b-1wxvzf3kje] {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: start;
    gap: 40px;
}

.home .app-links a[b-1wxvzf3kje] {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(25px);
    width: 240px;
    height: 120px;
    padding: 20px;
    border-radius: 10px;
    text-decoration: none;
    font-size: 30px;
    color: black;
    font-weight: bold;
    letter-spacing: 2px;
}

.home .app-links a:hover[b-1wxvzf3kje] {
    background-color: white;
    backdrop-filter: none;
}

.home .foot-links a[b-1wxvzf3kje] {
    padding: 6px 12px;
    font-size: 13px;
    font-weight: 600;
    text-decoration: none;
    color: #222;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 12px;
    box-shadow: rgba(77, 77, 77, 0.5);
    backdrop-filter: blur(25px);
}
/* _content/SGBR.Memberzone.Web/Apps/DutyRoster/UI/MemberInput.razor.rz.scp.css */
.frame[b-1duu5de0ea] {
    position: relative;
}

.editing input[b-1duu5de0ea] {
    border-color: var(--color-primary-element);
}
.error input[b-1duu5de0ea] {
    border-color: var(--color-error);
}

.select-list[b-1duu5de0ea] {
    display: none;
    position: absolute;
    width: 100%;
    max-height: 150px;
    overflow: hidden;
    z-index: 100;
    background-color: var(--color-main-background);
    border: 2px solid var(--color-primary-element);
    border-radius: var(--border-radius-large);
    top: 27px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-top: none;
    padding-top: 6px;
}

.editing .select-list[b-1duu5de0ea] {
    display: block;
}

.error .select-list[b-1duu5de0ea] {
    border-color: var(--color-error);
}

.select-list > div[b-1duu5de0ea] {
    padding: 6px 8px;
}

.select-member[b-1duu5de0ea] {
    cursor: pointer;
}
/* _content/SGBR.Memberzone.Web/Apps/DutyRoster/UI/RosterView.razor.rz.scp.css */
.roster-notes[b-1g8xd33oge] {
    max-width: 800px;
    margin: 0 auto;
}

.roster-notes p[b-1g8xd33oge] {
    padding: 10px 20px;
}

[b-1g8xd33oge] td.member .input-like,
[b-1g8xd33oge] td.member input {
    width: 180px;
    overflow: hidden;
}
/* _content/SGBR.Memberzone.Web/UI/Components/ContentView.razor.rz.scp.css */
.content-view[b-txbd2h2r18] {
    max-width: 100%;
    height: 100%;

    display: flex;
    align-items: stretch;
}

.nav-panel[b-txbd2h2r18] {
    width: 300px;
    flex-grow: 0;
    flex-shrink: 0;
    background-color: var(--color-main-background-blur, var(--color-main-background));
    -webkit-backdrop-filter: var(--filter-background-blur, none);
    backdrop-filter: var(--filter-background-blur, none);
    color: black;

    display: flex;
    flex-direction: column;
    gap: 8px;
    padding: 8px;
}

@media (max-width: 800px) {
    .nav-panel[b-txbd2h2r18] {
        display: none;
    }
}

.content-panel[b-txbd2h2r18] {
    background-color: white;
    color: black;
    width: 1px;
    flex-grow: 1;
    overflow-y: auto;
}
/* _content/SGBR.Memberzone.Web/UI/Components/NavLink.razor.rz.scp.css */
[b-irv8o811f0] a {
    color: var(--color-primary-element-light-text);
    background-color: var(--color-primary-element-light);
    padding: 0 16px 0 4px;
    min-height: 44px;
    min-width: 44px;
    line-height: 44px;
    font-weight: bold;
    text-decoration: none;
    
    display: block;
    align-items: center;
    text-align: center;
    cursor: pointer;
    border-radius: 22px;
    border: none;
    box-shadow: none;
}

[b-irv8o811f0] a.active {
    background-color: var(--color-primary-element);
    color: var(--color-primary-element-text);
}
/* _content/SGBR.Memberzone.Web/UI/Components/SideScroll.razor.rz.scp.css */
.side-scroll[b-ixcxzeaw0y] {
    overflow-x: auto;
    max-width: 100%;
    min-height: 100%;
    height: 100%;
}
.side-scroll-wrap[b-ixcxzeaw0y] {
    min-height: 100%;
    height: 100%;
    padding: 0;
}
/* _content/SGBR.Memberzone.Web/UI/Forms/FormGroup.razor.rz.scp.css */
@media (max-width: 767px) {
    .form-group[b-ai9j0l3tfv] {
        padding-left: 0;
        padding-right: 0;
    }
}
/* _content/SGBR.Memberzone.Web/UI/Forms/GeneralForm.razor.rz.scp.css */
[b-ptlhiqpikn] .buttons > button,
[b-ptlhiqpikn] .buttons > a {
    margin: 3px;
    display: block;
    float: left;
}

@media (max-width: 767px) {
    .row > div[b-ptlhiqpikn] {
        padding-left: 0;
        padding-right: 0;
    }

    .sidebar-form .head[b-ptlhiqpikn] {
        padding-left: 15px;
        padding-right: 15px;
    }
}

/* _content/SGBR.Memberzone.Web/UI/Forms/Radios.razor.rz.scp.css */
.radio-list[b-l0rgl7wo6c] {
    outline: none;
    max-width: 100%;
    margin-bottom: 0px;
    padding: 5px;
    height: auto;
    background: #fff;
    -webkit-box-shadow: none;
    box-shadow: none;
    border: none;
    border-radius: 3px;
    display: block;
    width: 100%;
    line-height: 1.5em;
    font-family: 'Euclid Circular A', sans-serif;
    font-size: 15px;
    font-weight: 400;
    color: #6f7b91;
    border-radius: 3px;
    border: 2px solid rgba(30, 144, 255,0.15);
}

.radio-list > div[b-l0rgl7wo6c] {
    display: flex;
}

.radio-list > div:hover[b-l0rgl7wo6c] {
    background-color: var(--focus-color);
}

input[b-l0rgl7wo6c] {
    width: 16px;
    margin-left: 10px;
    flex-grow: 0;
    flex-shrink: 0;
}

label[b-l0rgl7wo6c] {
    width: 30px;
    padding: 10px;
    flex-grow: 1;
    flex-shrink: 0;
}

.radio-list > div:hover label[b-l0rgl7wo6c] {
    color: #fff;
}

input:checked + label[b-l0rgl7wo6c] {
    font-weight: 900;
    color: var(--theme-primary-color);
}
